local anim8 = require 'lib.anim8'

local sheet = love.graphics.newImage("graphics/quads/character/quadsCharacter.png")

local tileWidth, tileHeight = 35, 75

local grid = anim8.newGrid(tileWidth, tileHeight, sheet:getWidth(), sheet:getHeight())

local player = {
  x = 400,
  y = 300,
  speed = 250,
  iterator = 1,
  iteratorMax = 4,
  moving = false,
  timer = 0,
  direction = "down",
  animations = {
    down  = anim8.newAnimation('loop', grid('1,1-4'), 0.2),
    up    = anim8.newAnimation('loop', grid('2,1-4'), 0.2),
    left  = anim8.newAnimation('loop', grid('3,1-4'), 0.2),
    right = anim8.newAnimation('loop', grid('4,1-4'), 0.2)
  }
}

function playerDraw()
  if gamestate == "menu" then
    player.animations[player.direction]:draw(sheet, player.x, player.y)
  end
end

function playerMove(dt)
  if gamestate == "menu" then
    if love.keyboard.isDown("s") then
      player.y = player.y + player.speed * dt
      player.direction = "down"
    elseif love.keyboard.isDown("w") then
      player.y = player.y - player.speed * dt
      player.direction = "up"
    elseif love.keyboard.isDown("a") then
      player.x = player.x - player.speed * dt
      player.direction = "left"
    elseif love.keyboard.isDown("d") then
      player.x = player.x + player.speed * dt
      player.direction = "right"
    end
    if player.x < -30 then
      player.x = 800
    end
    if player.x > 800 then
      player.x = -25
    end
    if player.y < -25 then
      player.y = 600
    end
    if player.y > 600 then
      player.y = -25
    end

    player.animations[player.direction]:update(dt)
  end
end







